## streamiddemux streamiddemux |

## Properties

GstPad * | active-pad | Read

## Types and Values

struct | GstStreamidDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstStreamidDemux

## Description

The basic concept was started from de-funneling element which restores one serialized stream via GstFunnel to its original state. GstStreamidDemux classifies each stream base on stream ids.

The stream id demux always takes one input and checks how many streams are contained in a stream by STREAM_START event. Likewise GstFunnel, GstStreamidDemux does not synchronize the different output streams.

“active-pad” provides information about which output pad is activated at the moment.

`see_also` : GstFunnel, gst_event_new_stream_start

## Synopsis

### Element Information

plugin | coreelements
author | HoonHee Lee <hoonhee.lee@lge.com>
class | Generic

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src_%u
direction | source
presence | sometimes
details | ANY

## Functions

## Types and Values

### struct GstStreamidDemux

    struct GstStreamidDemux;

The opaque GstStreamidDemux data structure.

## Property Details

### The `“active-pad”` property

      “active-pad”               GstPad *

The currently active src pad.

Flags: Read